1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.1 Upgrading problem..

Discussion in 'Installation, Upgrade, and Import Support' started by Mr. Blogger, Oct 5, 2011.

  1. Mr. Blogger

    Mr. Blogger Active Member

    I'm upgrading from 1.0.4 It still was a fresh install of 1.0.4 only a few catagories, etc. Setup and I get this error when upgrading..

     
  2. Jake Bunce

    Jake Bunce XenForo Moderator Staff Member

    xf_smilie.sprite_mode should have been added during the upgrade to 1.1. I didn't have this problem during my upgrade.

    Did you encounter any errors when running the upgrade script? Check your xf_upgrade_log table in the database. There should be a record of an upgrade in there for version_id 1010031. If that is missing then perhaps the upgrade didn't complete successfully.
     
  3. Mike

    Mike XenForo Developer Staff Member

    You likely haven't uploaded the files fully as it doesn't look like you've actually run the upgrade steps. Did it take you through a bunch of steps before it got to "rebuilding"?

    Looks like you've uploaded some files but not all.
     
  4. Mr. Blogger

    Mr. Blogger Active Member

    It told me to login which I did. Then it started upgrading. I reuploaded all the files like 5 times now so I don't think I missed any.
     
  5. Mr. Blogger

    Mr. Blogger Active Member

    Also I check xf_upgrade_log it is there.
     
  6. Jake Bunce

    Jake Bunce XenForo Moderator Staff Member

    Please confirm that you see version_id 1010031:

    Screen shot 2011-10-05 at 1.57.57 PM.png
     
  7. Mr. Blogger

    Mr. Blogger Active Member

  8. Jake Bunce

    Jake Bunce XenForo Moderator Staff Member

    Weird. According to the upgrade log it completed.

    Can you confirm that the xf_smilie table does not have the sprite_mode column?
     
  9. Mike

    Mike XenForo Developer Staff Member

    You may need to revert to your backup.

    Is the file library/Install/Upgrade/1010031-100b1.php there? (wow, just noticed the typo in that)
     
  10. Mr. Blogger

    Mr. Blogger Active Member

    @Jake Bunce,

    Yes do you want me to make another screenshot? It is not there.

    @Mike

    When I downloaded the upgrade stuff from the client area I never got anything that went to the library named that that goes to library/Installs/Upgrade
     
  11. Mike

    Mike XenForo Developer Staff Member

    Not sure what to suggest then - as that's the big thing that's missing and will cause all matter of issues.

    I'd probably say, revert to your backup, redownload the zip, reupload, ensure that file is there (if it's not, you're always going to have problems), and try the upgrade again.
     
  12. Mr. Blogger

    Mr. Blogger Active Member

    I redownloaded the 1.1.0 beta twice and it never came with the so called 'Install' folder that goes under the library.
     
  13. Mike

    Mike XenForo Developer Staff Member

    Argh, sorry - library/XenForo/Install/Upgrade/1010031-100b1.php
     
  14. Mr. Blogger

    Mr. Blogger Active Member

    Oh yah that exists.
     
  15. Mike

    Mike XenForo Developer Staff Member

    Revert to your backup and try again please.
     
  16. Mr. Blogger

    Mr. Blogger Active Member

    I restored, and done it again. Still got the error so I just saved my forum setup (how I setup my catagories, forum, subforum, etc.) on a .txt file and just going to fresh install 1.1.
     
  17. Digital Doctor

    Digital Doctor Well-Known Member



    The8thLegion got this after installing Post Ratings.
     
  18. Befy

    Befy Member

    I have the same problem how can I solve it pleaseeee :(
     
  19. Chris D

    Chris D XenForo Developer Staff Member

    No need to necro post in every thread you can find... this isn't even the same error as yours...
     
    Befy likes this.

Share This Page